# -*- coding: utf-8 -*-

from PyQt4.QtCore import *
from PyQt4.QtGui import *
import sys


class MainWin(QWidget) :
	def __init__(self, parent = None) :
		QWidget.__init__(self, parent)
		
		mainlayout = QVBoxLayout()
		but = QPushButton('Add')
		mainlayout.addWidget(but)
		self.connect(but,SIGNAL('clicked()'),self.addVBox)
		
		w = QWidget()
		self.vboxScroll = QVBoxLayout()
		w.setLayout(self.vboxScroll)
		scroll = QScrollArea()
		scroll.setWidget(w)
		scroll.setWidgetResizable(True)
		mainlayout.addWidget(scroll)
		
		self.setLayout(mainlayout)
	
	def addVBox(self):
		h = QHBoxLayout()
		h.addWidget(QLabel('label1'))
		h.addWidget(QLabel('label2'))
		
		but = QPushButton('del')
		h.addWidget(but)
		self.connect( but, SIGNAL('clicked()'), self.delHBox )
		
		self.vboxScroll.addLayout(h)
	
	def delHBox(self):
		self.sender().parent().setVisible(False)
		self.vboxScroll.removeWidget(self.sender().parent())
		

if __name__ == '__main__':
	app = QApplication(sys.argv)
	mainwin = MainWin()
	mainwin.show()
	app.exec_()
	
	
	